Receive Playwright session events and broadcast via Realtime
POST
/dev/events
const url = 'https://example.com/api/dev/events';const options = { method: 'POST', headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'}, body: '{"sessionId":"example","type":"console_error","data":{},"ts":"2026-04-15T12:00:00Z"}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://example.com/api/dev/events \ --header 'Authorization: Bearer <token>' \ --header 'Content-Type: application/json' \ --data '{ "sessionId": "example", "type": "console_error", "data": {}, "ts": "2026-04-15T12:00:00Z" }'Authorizations
Section titled “Authorizations ”Request Body required
Section titled “Request Body required ” Media type application/json
One of:
object
sessionId
required
string
type
required
string
data
required
object
ts
required
string format: date-time
Array<object>
object
sessionId
required
string
type
required
string
data
required
object
ts
required
string format: date-time
Responses
Section titled “ Responses ”Events broadcast
Media type application/json
object
ok
boolean
broadcast
integer
Invalid request body
Not authenticated
Media type application/json
object
error
required
Human-readable error message
string
code
Stable machine-readable error code for client branching
string
fieldErrors
First validation message per field path
object
key
additional properties
string
issues
Structured validation issues (Zod)
Array<object>
object
path
required
string
message
required
string
retryAfter
Seconds until rate limit resets (429 responses)
number
reconnect
True if re-linking GitHub may fix the issue
boolean
Not a dev team member